Package org.openoffice.da.comp.writer2xhtml

# Class XhtmlUNOPublisher

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.UNOPublisher
org.openoffice.da.comp.writer2xhtml.XhtmlUNOPublisher

public class XhtmlUNOPublisher extends UNOPublisher

## Nested Class Summary

## Nested classes/interfaces inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`UNOPublisher.TargetFormat`

## Field Summary

### Fields inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`xContext, xFrame`

## Constructor Summary

Constructors
Constructor
Description
`XhtmlUNOPublisher(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame, String sAppName)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`postProcess(String sURL, UNOPublisher.TargetFormat format)`
Display the converted document depending on user settings

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`documentSaved, filterFileName, getTargetFileName, getTargetPath, getTargetURL, postProcessMediaProps, publish`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XhtmlUNOPublisher

public XhtmlUNOPublisher(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame, String sAppName)

## Method Details

### postProcess

protected void postProcess(String sURL, UNOPublisher.TargetFormat format)
Display the converted document depending on user settings

Overrides:
  `postProcess` in class `UNOPublisher`
Parameters:
  `sURL` - the URL of the converted document
  `format` - the target format